=== debian/changelog ===
kconfig (5.78.0-4) unstable; urgency=medium

  * Reduce build deps (Closes: #981202)
    - Remove graphviz
    - Annotate xauth and xvfb with <!nocheck>
  * Cherry-pick upstream fix for restoring window size when closed
    while maximized

 -- Norbert Preining <norbert@preining.info>  Sat, 06 Feb 2021 19:40:28 +0900

kconfig (5.78.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the unused debian/meta/ stuff.
  * Update renamed lintian tag names in lintian overrides.
  * Run the test suite at build time, since it seems to work fine:
    - add the dbus-x11, xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run, and dbus-run-session
    - disable the fixfilepath reproducibility feature, as it breaks
      QFINDTESTDATA

 -- Pino Toscano <pino@debian.org>  Mon, 18 Jan 2021 11:45:56 +0100

kconfig (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:19 +0900

kconfig (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

kconfig (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kconfig (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kconfig (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:11:46 +0200

kconfig (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5config-data.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:04 +0200
