=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: kconfig
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               dbus-x11 <!nocheck>,
+               debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.74.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.78.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kconfig
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfig
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfig.git
 Rules-Requires-Root: no
 
 Package: libkf5config-bin
 Architecture: any
-Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
 Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
@@ -72,18 +74,23 @@
  This package contains the translations.
 
 Package: libkf5config-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: libdevel
 Depends: libkf5config-bin (= ${binary:Version}),
          libkf5config-dev-bin (= ${binary:Version}),
          libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libkf5config-bin-dev (<< 5.47.0~),
-Replaces: libkf5config-bin-dev (<< 5.47.0~)
+         qtbase5-dev (>= 5.14.0~),
+         ${misc:Depends}
+Breaks: libkf5completion-dev (<< 5.54),
+        libkf5config-bin-dev (<< 5.42),
+        libkf5configwidgets-dev (<< 5.54),
+        libkf5notifications-dev (<< 5.54),
+        libkf5service-dev (<< 5.54),
+        libkf5wallet-dev (<< 5.54),
+        libkf5xmlgui-dev (<< 5.54)
+Replaces: libkf5config-bin-dev (<< 5.42)
 Recommends: libkf5config-doc (= ${source:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
@@ -107,12 +114,12 @@
  This package contains the development files.
 
 Package: libkf5config-dev-bin
+Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Section: libdevel
+Breaks: libkf5config-dev (<< 5.15.0-2~)
+Replaces: libkf5config-dev (<< 5.15.0-2~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
-Replaces: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
 Description: configuration settings framework for Qt -- binary package
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore and KConfigGui.
@@ -137,7 +144,6 @@
 Package: libkf5config-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: configuration settings framework for Qt (documentation)
  KConfig provides an advanced configuration system. It is made of two
@@ -159,13 +165,84 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5configcore5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5config-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
+Breaks: baloo-kf5 (<< 5.54),
+        frameworkintegration (<< 5.54),
+        kded5 (<< 5.54),
+        kdesignerplugin (<< 5.42),
+        kgendesignerplugin (<< 5.54),
+        kgendesignerplugin-bin (<< 5.54),
+        kinit (<< 5.54),
+        kio (<< 5.54),
+        kpackagelauncherqml (<< 5.42),
+        kpackagetool5 (<< 5.28),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5activitiesstats1 (<< 5.54),
+        libkf5baloo5 (<< 5.54),
+        libkf5bookmarks5 (<< 5.54),
+        libkf5completion5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5declarative5 (<< 5.54),
+        libkf5emoticons-bin (<< 5.42),
+        libkf5emoticons5 (<< 5.54),
+        libkf5globalaccel-bin (<< 5.42),
+        libkf5globalaccelprivate5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.54),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.54),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiogui5 (<< 5.42),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5notifications5 (<< 5.54),
+        libkf5notifyconfig5 (<< 5.54),
+        libkf5package5 (<< 5.28),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.54),
+        libkf5people5 (<< 5.42),
+        libkf5peoplewidgets5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5purpose-bin (<< 5.54),
+        libkf5purpose5 (<< 5.54),
+        libkf5quickaddons5 (<< 5.54),
+        libkf5runner5 (<< 5.54),
+        libkf5service-bin (<< 5.42),
+        libkf5service5 (<< 5.54),
+        libkf5style5 (<< 5.54),
+        libkf5su5 (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.42),
+        libkf5wallet-bin (<< 5.54),
+        libkf5wallet5 (<< 5.54),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui-bin (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        libkf5xmlrpcclient5 (<< 5.42),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-activities (<< 5.54),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kconfig (<< 5.54),
+        qml-module-org-kde-kio (<< 5.42),
+        qml-module-org-kde-kquickcontrols (<< 5.42),
+        qml-module-org-kde-kquickcontrolsaddons (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
+        qml-module-org-kde-runnermodel (<< 5.42)
 Recommends: libkf5config-bin (= ${binary:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
@@ -188,7 +265,40 @@
 Multi-Arch: same
 Depends: libkf5config-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
+Breaks: frameworkintegration (<< 5.28),
+        kdesignerplugin (<< 5.42),
+        kio (<< 5.42),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5bookmarks5 (<< 5.42),
+        libkf5completion5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.42),
+        libkf5kcmutils5 (<< 5.42),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.42),
+        libkf5khtml5 (<< 5.42),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.42),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.42),
+        libkf5quickaddons5 (<< 5.54),
+        libkf5style5 (<< 5.42),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5wallet-bin (<< 5.42),
+        libkf5webkit5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-kquickcontrols (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42)
 Recommends: libkf5config-bin (= ${binary:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
