## kconfig 5.80.0

=== debian/changelog ===
kconfig (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:36 +0000

kconfig (5.79.0a-0ubuntu3) hirsute; urgency=medium

  * Drop acc test once again.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 17:41:56 +0000

kconfig (5.79.0a-0ubuntu2) hirsute; urgency=medium

  * Re-enable acc test, it just works without other changes
  * Set libkf5config-bin as 'Multi-Arch: foreign'

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 14 Feb 2021 15:43:57 +0000

kconfig (5.79.0a-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:17 +0000

kconfig (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Drop tests that came back via debian sync.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 22:11:59 +0000
