=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,5 @@
 	dh_auto_configure -- -DBUILD_QCH=ON -DKCONFIG_COMPILER_INSTALL_DIR="lib/libexec/kf5"
 
 override_dh_auto_test:
-	xvfb-run -a dbus-run-session dh_auto_test
+	# Disable auto tests at build time
+	:
